package com.example.wfwebapi.model;

import java.io.Serializable;
import java.util.Objects;
import jakarta.persistence.Embeddable;

@Embeddable
public class FavoriteId implements Serializable {
    private Long user;
    private Long quote;

    public FavoriteId() {}

    public FavoriteId(Long user, Long quote) {
        this.user = user;
        this.quote = quote;
    }

    public Long getUser() { return user; }
    public void setUser(Long user) { this.user = user; }
    public Long getQuote() { return quote; }
    public void setQuote(Long quote) { this.quote = quote; }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof FavoriteId)) return false;
        FavoriteId that = (FavoriteId) o;
        return Objects.equals(getUser(), that.getUser()) &&
                Objects.equals(getQuote(), that.getQuote());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getUser(), getQuote());
    }
}
