package com.example.wfwebapi.model;

import jakarta.persistence.*;

@Entity
@Table(name = "Quiz_Question")
public class QuizQuestion {
    @EmbeddedId
    private QuizQuestionId id;

    @ManyToOne
    @MapsId("quiz")
    @JoinColumn(name = "quiz")
    private Quiz quiz;

    @ManyToOne
    @MapsId("question")
    @JoinColumn(name = "question")
    private Question question;

    // Getters et setters
    public QuizQuestionId getId() { return id; }
    public void setId(QuizQuestionId id) { this.id = id; }
    public Quiz getQuiz() { return quiz; }
    public void setQuiz(Quiz quiz) { this.quiz = quiz; }
    public Question getQuestion() { return question; }
    public void setQuestion(Question question) { this.question = question; }
}
