package com.example.wfwebapi.model;

import java.io.Serializable;
import java.util.Objects;
import jakarta.persistence.Embeddable;

@Embeddable
public class QuizQuestionId implements Serializable {
    private Long quiz;
    private Long question;

    public QuizQuestionId() {}

    public QuizQuestionId(Long quiz, Long question) {
        this.quiz = quiz;
        this.question = question;
    }

    public Long getQuiz() { return quiz; }
    public void setQuiz(Long quiz) { this.quiz = quiz; }
    public Long getQuestion() { return question; }
    public void setQuestion(Long question) { this.question = question; }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof QuizQuestionId)) return false;
        QuizQuestionId that = (QuizQuestionId) o;
        return Objects.equals(getQuiz(), that.getQuiz()) &&
                Objects.equals(getQuestion(), that.getQuestion());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getQuiz(), getQuestion());
    }
}
