package com.example.wfwebapi.model;

import java.io.Serializable;
import java.util.Objects;
import jakarta.persistence.Embeddable;

@Embeddable
public class RecordQuizId implements Serializable {
    private Long user;
    private Long quiz;

    public RecordQuizId() {}

    public RecordQuizId(Long user, Long quiz) {
        this.user = user;
        this.quiz = quiz;
    }

    public Long getUser() { return user; }
    public void setUser(Long user) { this.user = user; }
    public Long getQuiz() { return quiz; }
    public void setQuiz(Long quiz) { this.quiz = quiz; }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof RecordQuizId)) return false;
        RecordQuizId that = (RecordQuizId) o;
        return Objects.equals(getUser(), that.getUser()) &&
                Objects.equals(getQuiz(), that.getQuiz());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getUser(), getQuiz());
    }
}
