package com.example.wfwebapi.controller;

import com.example.wfwebapi.exception.ResourceNotFoundException;
import com.example.wfwebapi.model.DailyQuote;
import com.example.wfwebapi.repository.DailyQuoteRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/v1/dailyquote")
public class DailyQuoteController {

    @Autowired
    private DailyQuoteRepository dailyQuoteRepository;

    @GetMapping
    public DailyQuote getDailyQuote() {
        return dailyQuoteRepository.findAll().stream().findFirst()
                .orElseThrow(() -> new ResourceNotFoundException("Aucune DailyQuote définie"));
    }
}
