package com.example.wfwebapi.model;

import jakarta.persistence.*;

@Entity
@Table(name = "Favorite")
public class Favorite {
    @EmbeddedId
    private FavoriteId id;

    @ManyToOne
    @MapsId("user")
    @JoinColumn(name = "users")
    private User user;

    @ManyToOne
    @MapsId("quote")
    @JoinColumn(name = "quote")
    private Quote quote;

    // Getters et setters
    public FavoriteId getId() { return id; }
    public void setId(FavoriteId id) { this.id = id; }
    public User getUser() { return user; }
    public void setUser(User user) { this.user = user; }
    public Quote getQuote() { return quote; }
    public void setQuote(Quote quote) { this.quote = quote; }
}
