package com.example.wfwebapi.model;

import jakarta.persistence.*;

@Entity
@Table(name = "Record_quiz")
public class RecordQuiz {
    @EmbeddedId
    private RecordQuizId id;

    @ManyToOne
    @MapsId("user")
    @JoinColumn(name = "users")
    private User user;

    @ManyToOne
    @MapsId("quiz")
    @JoinColumn(name = "quiz")
    private Quiz quiz;

    @Column(name = "nbPoint")
    private Integer nbPoint;

    @Column(name = "timeQ")
    private Integer timeQ;

    // Getters et setters
    public RecordQuizId getId() { return id; }
    public void setId(RecordQuizId id) { this.id = id; }
    public User getUser() { return user; }
    public void setUser(User user) { this.user = user; }
    public Quiz getQuiz() { return quiz; }
    public void setQuiz(Quiz quiz) { this.quiz = quiz; }
    public Integer getNbPoint() { return nbPoint; }
    public void setNbPoint(Integer nbPoint) { this.nbPoint = nbPoint; }
    public Integer getTimeQ() { return timeQ; }
    public void setTimeQ(Integer timeQ) { this.timeQ = timeQ; }
}
